For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • POSTCreates a new project or private task.
      • POSTInvites a user by email and assigns them to a task.
      • POSTEdits multiple tasks using the specified operation.
      • POSTChanges the base type for multiple tasks.
      • POSTChanges the lists of tasks.
      • POSTChanges statuses of tasks.
      • POSTChanges the parent task and the order of subtasks.
      • POSTConvert subtasks to a parent task.
      • POSTChanges the type of work for a batch of tasks.
      • POSTDeletes tasks and optionally related time entries.
      • GETReturns the task with the specified key.
      • POSTSets the priority flag for a task.
      • GETReturns the task with the specified id.
      • PUTUpdates the task with the specified id.
      • POSTCreates a copy of the specified task.
      • POSTDeletes the recurrence rule for a task.
      • GETGets the recurrence rule of a task.
      • POSTAssigns a list of users to a task.
      • POSTModifies planned efforts for the given task assignments.
      • POSTAdds or updates a recurrence rule for a task.
      • POSTUpdates the order of a task within its list.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTasks

Changes the lists of tasks.

POST
https://api.awork.com/api/v1/tasks/changelists
POST
/api/v1/tasks/changelists
$curl -X POST https://api.awork.com/api/v1/tasks/changelists \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "taskId": "123e4567-e89b-12d3-a456-426614174000",
> "taskLists": [
> {
> "id": "123e4567-e89b-12d3-a456-426614174000"
> }
> ]
> }
>]'
1[
2 {
3 "taskId": "123e4567-e89b-12d3-a456-426614174000",
4 "taskLists": [
5 {
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "order": 3,
8 "isPrimary": true
9 }
10 ]
11 }
12]
Adds tasks to lists, removes them and reorders tasks within lists. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Changes statuses of tasks.

Next
Built with

Adds tasks to lists, removes them and reorders tasks within lists.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The change Task List forms.
taskIdstringRequiredformat: "uuid"
The id of the task to change.
taskListslist of objectsRequired
The lists the task should be moved to.

Response

OK
taskIdstringformat: "uuid"
The id of the task to change.
taskListslist of objects
The lists the task should be moved to.

Errors

400
Bad Request Error